#pragma once
#include <stdbool.h>

#define COLOR_RED     "\x1b[31m"
#define COLOR_BOLD    "\x1b[1m"
#define COLOR_BLUE    "\x1b[34m"
#define COLOR_GREEN   "\x1b[32m"
#define COLOR_MAGENTA "\x1b[35m"
#define COLOR_RESET   "\x1b[0m"

void bar_init();
bool bar(float, float);
void bar_free();

void info(const char *msg, ...);
void error(const char *msg, ...);
void success(const char *msg, ...);
void debug(const char *, ...);
